//**************************************************************************
//
//
//                       National Institute Of Standards and Technology
//                                    DTS Version 1.1
//         
//                              HTMLOptGroupElement Interface
//**************************************************************************

function HTMLOptGroupElement()
{
   var tests = new Array (HTML0001HOGE(),HTML0002HOGE());
   return tests;
}

//------------------------ test case HTML-0001HOGE -------------------------
//
// Testing feature - The "disabled" attribute indicates that the control
//                   unavailable under this context. 
//
// Testing approach - Retrieve the "disabled" attribute from the second 
//                    OPTGROUP element of the testing document and examine 
//                    its value.  It should be equal to true.
//
// Semantic Requirements: 1
//
// Last modification date - September 28, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0001HOGE()
 {
   var computedValue = "";
   var expectedValue = true;
   var results = "";
   var testNode = "";

    results = new testResults("HTML0001HOGE");
    results.description = "The \"disabled\" attribute indicates that "+
                          "the object is unavailable under this context.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(OPTGROUP,SECOND);
//
// and access its "disabled" attribute.
//
      computedValue = testNode.node.disabled;
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0001HOGE -------------------------
//
//------------------------   test case HTML-0002HOGE   -------------------------
//
// Testing feature - The "label" attribute specifies the label assigned
//                   to this option group. 
//
// Testing approach - Retrieve the "label" attribute from the second 
//                    OPTGROUP element of the testing document and examine 
//                    its value.  It should be equal to "Temporary Employees". 
//
// Semantic Requirements: 2 
//
// Last modification date - September 28, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0002HOGE()
 {
   var computedValue = "";
   var expectedValue = "TEMPORARY EMPLOYEES";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0002HOGE");
    results.description = "The \"label\" attribute specifies the label "+
                          "assigned to this object.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(OPTGROUP,SECOND);
//
// and access its "label" attribute.
//
      computedValue = testNode.node.label;
      computedValue = computedValue.toUpperCase(); 
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0002HOGE -------------------------
