//**************************************************************************
//
//
//                       National Institute Of Standards and Technology
//                                    DTS Version 1.1
//         
//                             HTMLUListElement Interface
//**************************************************************************

function HTMLUListElement()
{
   var tests = new Array (HTML0001HULE(),HTML0002HULE());
   return tests;
}

//------------------------ test case HTML-0001HULE -------------------------
//
// Testing feature - The "compact" attribute signifies that space should
//                   be reduced between list items.
//
// Testing approach - Retrieve the "compact" attribute from the first 
//                    UL element of the testing document and examine its
//                    value. 
//
// Semantic Requirements: 1
//
// Last modification date - August 18, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0001HULE()
 {
   var computedValue = "";
   var expectedValue = true;
   var results = "";
   var testNode = "";

    results = new testResults("HTML0001HULE");
    results.description = "The \"compact\" attribute specifies that "+
                          "space should be reduced between list items.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(UL);
//
// and access its "compact" attribute.
//
      computedValue = testNode.node.compact;
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0001HULE --------------------------
//
//------------------------   test case HTML-0002HULE   --------------------------
//
// Testing feature - The "type" attribute specifies the bullet style. 
//
// Testing approach - Retrieve the "type" attribute from the first
//                    UL element of the testing document and examine its
//                    value.
//
// Semantic Requirements: 2 
//
// Last modification date - August 18, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0002HULE()
 {
   var computedValue = "";
   var expectedValue = "DISC";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0002HULE");
    results.description = "The \"type\" attribute specifies the "+
                          "bullet style.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(UL,FIRST);
//
// and access its "type" attribute.
//
      computedValue = testNode.node.type;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0002HULE --------------------------
